## gridtools 2.0.0

=== CMakeLists.txt ===
# GridTools CMake coding convention and architecture
# The following guide is intended for CMake developers of the GridTools library,
# users are referred to the GridTools documentation. TODO(havogt): update
# - GridTools cmake modules are in
#   a) /cmake/internal: used exclusively in the GridTools CMake project
#   b) /cmake/public: need to be available in a GridTools installation
# - CMake functions are prefixed with
#   a) gridtools_: functions intended for the user (public API)
#   b) _gt_: private functions, they are not part of the public API
# - GridTools is header-only, which allows for a more flexible CMake installation compared to compiled libraries:
#   the environment from which GridTools was installed is irrelevant for the installation.
#   Therefore, we use the same macro to setup CMake targets in the main CMakeLists.txt (this file) and in the
#   GridToolsConfig.cmake of an installation (see cmake/public/gridtools_setup_target.cmake)
cmake_minimum_required(VERSION 3.14.5)
cmake_policy(VERSION 3.14.5)

file(STRINGS "version.txt" __GT_VERSION)
project(GridTools VERSION ${__GT_VERSION} LANGUAGES CXX)

message(STATUS "Configuring ${PROJECT_NAME} v${__GT_VERSION}" )

unset(__GT_VERSION)

set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CUDA_EXTENSIONS OFF)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake/public" "${CMAKE_CURRENT_LIST_DIR}/cmake/internal")

set(CMAKE_EXPORT_NO_PACKAGE_REGISTRY ON CACHE BOOL "")
mark_as_advanced(CMAKE_EXPORT_NO_PACKAGE_REGISTRY)

# User setting GT_CLANG_CUDA_MODE: decide if Clang-CUDA or NVCC
if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    set(GT_CLANG_CUDA_MODE "AUTO" CACHE STRING
        "AUTO, Clang-CUDA or NVCC-CUDA; \
        AUTO = Use NVCC if language CUDA is enabled, else prefer Clang-CUDA.")
    set_property(CACHE GT_CLANG_CUDA_MODE PROPERTY STRINGS "AUTO;Clang-CUDA;NVCC-CUDA")
endif()

# User setting GT_INSTALL_EXAMPLES:
# if we are pointing to the default install path (usually system) we will disable installation of examples by default
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(_default_GT_INSTALL_EXAMPLES OFF)
else()
    set(_default_GT_INSTALL_EXAMPLES ON)
endif()
option(GT_INSTALL_EXAMPLES "Install example sources" ${_default_GT_INSTALL_EXAMPLES})
if(GT_INSTALL_EXAMPLES)
    set(GT_INSTALL_EXAMPLES_PATH "${CMAKE_INSTALL_PREFIX}/gridtools_examples" CACHE FILEPATH
        "Specifies where the source codes of examples should be installed")
    mark_as_advanced(CLEAR GT_INSTALL_EXAMPLES_PATH)
else()
    if(GT_INSTALL_EXAMPLES_PATH)
        mark_as_advanced(FORCE GT_INSTALL_EXAMPLES_PATH)
    endif()
endif()


set(REQUIRED_BOOST_VERSION 1.58)
find_package(Boost ${REQUIRED_BOOST_VERSION} REQUIRED)

# setup main gridtools target
add_library(gridtools INTERFACE)
add_library(GridTools::gridtools ALIAS gridtools)
target_compile_features(gridtools INTERFACE cxx_std_14)
target_link_libraries(gridtools INTERFACE Boost::boost)
target_compile_definitions(gridtools INTERFACE $<$<COMPILE_LANGUAGE:CUDA>:BOOST_PP_VARIADICS=1>)
target_include_directories(gridtools
        INTERFACE
        $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/>
        $<INSTALL_INTERFACE:include>
        )
install(TARGETS gridtools EXPORT GridToolsTargets
        INCLUDES DESTINATION include
        )

include(gridtools_setup_targets)
_gt_setup_targets(FALSE "${GT_CLANG_CUDA_MODE}")

if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    # add a target to generate API documentation with Doxygen
    find_package(Doxygen)
    if(DOXYGEN_FOUND)
        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
        add_custom_target(doc ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile WORKING_DIRECTORY
                ${CMAKE_CURRENT_BINARY_DIR} COMMENT "Generating API documentation with Doxygen" VERBATIM)
    endif()

    # Python scripts
    add_subdirectory(pyutils)
endif()

# Enable tests
if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    include(CTest)
else()
    # User setting GT_BUILD_TESTING: by default testing is disabled if included via FetchContent/add_subdirectory,
    # GT_BUILD_TESTING=ON will overwrite this default.
    option(GT_BUILD_TESTING "Build GridTools tests" OFF)
    if(GT_BUILD_TESTING)
        include(CTest)
    endif()
     # Note that the following is setting a local variable BUILD_TESTING, not affecting the setting of a super-project
    set(BUILD_TESTING ${GT_BUILD_TESTING})
endif()
if(BUILD_TESTING)
    if(MPI_CXX_FOUND)
        include(workaround_mpiexec)
        _fix_mpi_exec()
    endif()

    if(TARGET _gridtools_cuda)
        if (DEFINED ENV{CUDA_ARCH})
            set(GT_CUDA_ARCH_INIT $ENV{CUDA_ARCH})
        endif()
        set(GT_CUDA_ARCH "${GT_CUDA_ARCH_INIT}" CACHE STRING "Compute capability for CUDA used for tests")
    endif()
    include(detect_test_features)
    detect_c_compiler()
    detect_fortran_compiler()

    add_subdirectory(tests)
    add_subdirectory(docs_src/manuals/getting_started)
endif()

# examples
if(GT_INSTALL_EXAMPLES)
    add_subdirectory(examples)
endif()

# absolute path to avoid collision with "export" from other packages
include(${CMAKE_CURRENT_LIST_DIR}/cmake/internal/export.cmake)

_gt_print_configuration_summary()

=== examples/CMakeLists.txt ===
# This file is part of the GridTools source tree to drive installation of the examples.

function(install_example)
    set(options)
    # - if needed later split into cpu and gpu sources (then add extension)
    set(one_value_args DIRECTORY)
    set(multi_value_args SOURCES)
    cmake_parse_arguments(ARG "${options}" "${one_value_args};" "${multi_value_args}" ${ARGN})

    string(REPLACE ";" " " EXAMPLES_SRCFILES "${ARG_SOURCES}")
    configure_file(cmake_skeletons/CMakeLists.txt.example.in ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${ARG_DIRECTORY}/CMakeLists.txt @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/${ARG_DIRECTORY}/CMakeLists.txt DESTINATION ${GT_INSTALL_EXAMPLES_PATH}/${ARG_DIRECTORY})
    install(
        DIRECTORY ${ARG_DIRECTORY}
        DESTINATION ${GT_INSTALL_EXAMPLES_PATH}
        )

    list(APPEND enabled_examples ${ARG_DIRECTORY})
    set(enabled_examples ${enabled_examples} PARENT_SCOPE)
endfunction()

if(GT_INSTALL_EXAMPLES)
    set(enabled_examples) # used in CMakeLists.txt.in, filled in install_example()
    install_example(DIRECTORY stencil SOURCES copy_stencil horizontal_diffusion_limited tridiagonal_solver)

    configure_file(stencil_type_erasure/CMakeLists.txt.in
        ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/stencil_type_erasure/CMakeLists.txt @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/stencil_type_erasure/CMakeLists.txt
        DESTINATION ${GT_INSTALL_EXAMPLES_PATH}/stencil_type_erasure)
    install(
        DIRECTORY stencil_type_erasure
        DESTINATION ${GT_INSTALL_EXAMPLES_PATH}
        PATTERN "CMakeLists.txt.in" EXCLUDE
        )
    list(APPEND enabled_examples stencil_type_erasure)

    install_example(DIRECTORY boundaries SOURCES boundaries boundaries_provided)

    # If clang+nvcc, we disable the c-bindings test, if CUDA < 10.0 because nvcc has problems with C++14 in this combination
    if(NOT ("${CMAKE_CXX_COMPILER_ID}" STREQUAL Clang AND DEFINED CMAKE_CUDA_COMPILER AND "${CMAKE_CUDA_COMPILER_VERSION}" VERSION_LESS "10.0"))
        configure_file(c_bindings/CMakeLists.txt.in
            ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/c_bindings/CMakeLists.txt @ONLY)
        install(FILES ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/c_bindings/CMakeLists.txt
            DESTINATION ${GT_INSTALL_EXAMPLES_PATH}/c_bindings)
        install(
            DIRECTORY c_bindings
            DESTINATION ${GT_INSTALL_EXAMPLES_PATH}
            PATTERN "CMakeLists.txt.in" EXCLUDE
            )
        list(APPEND enabled_examples c_bindings)
    endif()

    configure_file(cmake_skeletons/CMakeLists.txt.driver.in ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeLists.txt @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}${CMAKE_FILES_DIRECTORY}/CMakeLists.txt DESTINATION ${GT_INSTALL_EXAMPLES_PATH})

    install(FILES ${PROJECT_SOURCE_DIR}/cmake/public/workaround_check_language.cmake DESTINATION ${GT_INSTALL_EXAMPLES_PATH})
endif()

=== tests/CMakeLists.txt ===

add_library(GridToolsTest INTERFACE)
target_link_libraries(GridToolsTest INTERFACE gridtools)
target_include_directories(GridToolsTest INTERFACE include)
if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    target_compile_options(GridToolsTest INTERFACE
            $<$<COMPILE_LANGUAGE:CXX>:-Wall
            -Wno-unknown-pragmas
            -Wno-sign-compare
            -Wno-unused-local-typedefs
            -Wno-attributes
            -Wno-unused-but-set-variable
            -Wno-unneeded-internal-declaration
            -Wno-unused-function>)
    target_compile_options(GridToolsTest INTERFACE
            "$<$<COMPILE_LANGUAGE:CUDA>:SHELL:-Xcompiler
            -Wall,-Wno-unknown-pragmas,-Wno-sign-compare,-Wno-attributes,-Wno-unused-but-set-variable,-Wno-unneeded-internal-declaration,-Wno-unused-function>")
    if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "8.4.0")
        target_compile_options(GridToolsTest INTERFACE $<$<COMPILE_LANGUAGE:CXX>:-Wno-unused-value>)
        target_compile_options(GridToolsTest INTERFACE "$<$<COMPILE_LANGUAGE:CUDA>:SHELL:-Xcompiler -Wno-unused-value>")
    endif()
elseif(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    if(CMAKE_CXX_COMPILER_VERSION VERSION_LESS "3.9.0")
        # attribute noalias has been added in clang 3.9.0
        target_compile_options(GridToolsTest INTERFACE
                $<$<COMPILE_LANGUAGE:CXX>:-Wno-unknown-attributes>)
        target_compile_options(GridToolsTest INTERFACE
                "SHELL:$<$<COMPILE_LANGUAGE:CUDA>:-Xcompiler -Wno-unknown-attributes>")
    endif()
endif()

option(GT_TREAT_WARNINGS_AS_ERROR "Treat warnings as errors" OFF)
mark_as_advanced(GT_TREAT_WARNINGS_AS_ERROR)

if(GT_TREAT_WARNINGS_AS_ERROR)
    target_compile_options(GridToolsTest INTERFACE $<$<NOT:$<COMPILE_LANGUAGE:CUDA>>:-Werror>)
endif()

## cuda support ##
if(TARGET _gridtools_nvcc)
    if(GT_TREAT_WARNINGS_AS_ERROR)
        # unfortunately we cannot treat all as warnings, we have to specify each warning; the only supported warning in CUDA8 is cross-execution-space-call
        # CUDA 9 adds deprecated-declarations (activated) and reorder (not activated)
        target_compile_options(GridToolsTest INTERFACE
                $<$<COMPILE_LANGUAGE:CUDA>:-Werror=cross-execution-space-call>
                $<$<COMPILE_LANGUAGE:CUDA>:-Xptxas=--warning-as-error>
                $<$<COMPILE_LANGUAGE:CUDA>:-Xnvlink=--warning-as-error>
                $<$<COMPILE_LANGUAGE:CUDA>:-Werror=deprecated-declarations>)
    endif()

    if (CMAKE_CUDA_COMPILER_VERSION VERSION_LESS_EQUAL 9.2)
        # suppress because of warnings in GTest
        target_compile_options(GridToolsTest INTERFACE $<$<COMPILE_LANGUAGE:CUDA>:-Xcudafe=--diag_suppress=177>)
    endif()
endif()

function(gridtools_setup_test_target tgt)
    set(options)
    set(one_value_args)
    set(multi_value_args SOURCES LIBRARIES)
    cmake_parse_arguments(ARGS "${options}" "${one_value_args}" "${multi_value_args}" ${ARGN})
    target_sources(${tgt} PRIVATE ${ARGS_SOURCES})
    target_link_libraries(${tgt} PUBLIC ${ARGS_LIBRARIES})
    target_link_libraries(${tgt} PUBLIC GridToolsTest)
    gridtools_setup_target(${tgt} CUDA_ARCH ${GT_CUDA_ARCH})
endfunction()

function(gridtools_add_test_executable tgt)
    add_executable(${tgt})
    gridtools_setup_test_target(${tgt} ${ARGN})
endfunction()


function(gridtools_add_test_library tgt)
    add_library(${tgt})
    gridtools_setup_test_target(${tgt} ${ARGN})
endfunction()

include(FetchGoogletest)
fetch_googletest()
target_link_libraries(GridToolsTest INTERFACE Threads::Threads gtest)

add_subdirectory(src)

function(gridtools_add_mpi_test arch tgt)
    set(options)
    set(one_value_args)
    set(multi_value_args SOURCES LIBRARIES LABELS)
    cmake_parse_arguments(ARGS "${options}" "${one_value_args}" "${multi_value_args}" ${ARGN})
    gridtools_add_test_executable(${tgt}
            SOURCES ${ARGS_SOURCES}
            LIBRARIES ${ARGS_LIBRARIES} mpi_gtest_main_${arch} gcl_${arch})
    set(nproc 4)
    set(labels ${ARGS_LABELS} mpi gcl ${arch})
    # Note: We use MPITEST_ instead of MPIEXEC_ because our own MPI_TEST_-variables are slurm-aware
    add_test(
            NAME ${tgt}
            COMMAND  ${MPITEST_EXECUTABLE} ${MPITEST_NUMPROC_FLAG} ${nproc} ${MPITEST_PREFLAGS} $<TARGET_FILE:${tgt}> ${MPITEST_POSTFLAGS}
    )
    set_tests_properties(${tgt} PROPERTIES LABELS "${labels}")
    set_tests_properties(${tgt} PROPERTIES PROCESSORS ${nproc})
endfunction()


add_subdirectory(regression)
add_subdirectory(unit_tests)

if(CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
    # Even if the explicitly requests testing, we cannot run these CMake tests as it would result in an infinite recursion.
    add_subdirectory(cmake)
endif()

=== _deps/cpp_bindgen-build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /srv/build/gridtools/gridtools-2.0.0

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# The main all target
all: cmake_check_build_system
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/CMakeFiles /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-build//CMakeFiles/progress.marks
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/all
	$(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
_deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/rule:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/rule
.PHONY : _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/rule

# Convenience name for target.
cpp_bindgen_handle: _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/rule

.PHONY : cpp_bindgen_handle

# fast build rule for target.
cpp_bindgen_handle/fast:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/build
.PHONY : cpp_bindgen_handle/fast

# Convenience name for target.
_deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/rule:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/rule
.PHONY : _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/rule

# Convenience name for target.
cpp_bindgen_generator: _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/rule

.PHONY : cpp_bindgen_generator

# fast build rule for target.
cpp_bindgen_generator/fast:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/build
.PHONY : cpp_bindgen_generator/fast

src/cpp_bindgen/generator.o: src/cpp_bindgen/generator.cpp.o

.PHONY : src/cpp_bindgen/generator.o

# target to build an object file
src/cpp_bindgen/generator.cpp.o:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/src/cpp_bindgen/generator.cpp.o
.PHONY : src/cpp_bindgen/generator.cpp.o

src/cpp_bindgen/generator.i: src/cpp_bindgen/generator.cpp.i

.PHONY : src/cpp_bindgen/generator.i

# target to preprocess a source file
src/cpp_bindgen/generator.cpp.i:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/src/cpp_bindgen/generator.cpp.i
.PHONY : src/cpp_bindgen/generator.cpp.i

src/cpp_bindgen/generator.s: src/cpp_bindgen/generator.cpp.s

.PHONY : src/cpp_bindgen/generator.s

# target to generate assembly for a file
src/cpp_bindgen/generator.cpp.s:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_generator.dir/src/cpp_bindgen/generator.cpp.s
.PHONY : src/cpp_bindgen/generator.cpp.s

src/cpp_bindgen/handle.o: src/cpp_bindgen/handle.cpp.o

.PHONY : src/cpp_bindgen/handle.o

# target to build an object file
src/cpp_bindgen/handle.cpp.o:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/src/cpp_bindgen/handle.cpp.o
.PHONY : src/cpp_bindgen/handle.cpp.o

src/cpp_bindgen/handle.i: src/cpp_bindgen/handle.cpp.i

.PHONY : src/cpp_bindgen/handle.i

# target to preprocess a source file
src/cpp_bindgen/handle.cpp.i:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/src/cpp_bindgen/handle.cpp.i
.PHONY : src/cpp_bindgen/handle.cpp.i

src/cpp_bindgen/handle.s: src/cpp_bindgen/handle.cpp.s

.PHONY : src/cpp_bindgen/handle.s

# target to generate assembly for a file
src/cpp_bindgen/handle.cpp.s:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/build.make _deps/cpp_bindgen-build/CMakeFiles/cpp_bindgen_handle.dir/src/cpp_bindgen/handle.cpp.s
.PHONY : src/cpp_bindgen/handle.cpp.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... cpp_bindgen_generator"
	@echo "... cpp_bindgen_handle"
	@echo "... src/cpp_bindgen/generator.o"
	@echo "... src/cpp_bindgen/generator.i"
	@echo "... src/cpp_bindgen/generator.s"
	@echo "... src/cpp_bindgen/handle.o"
	@echo "... src/cpp_bindgen/handle.i"
	@echo "... src/cpp_bindgen/handle.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== _deps/cpp_bindgen-subbuild/CMakeLists.txt ===
# Distributed under the OSI-approved BSD 3-Clause License.  See accompanying
# file Copyright.txt or https://cmake.org/licensing for details.

cmake_minimum_required(VERSION 3.18.2)

# We name the project and the target for the ExternalProject_Add() call
# to something that will highlight to the user what we are working on if
# something goes wrong and an error message is produced.

project(cpp_bindgen-populate NONE)

include(ExternalProject)
ExternalProject_Add(cpp_bindgen-populate
                     "UPDATE_DISCONNECTED" "False" "GIT_REPOSITORY" "https://github.com/GridTools/cpp_bindgen.git" "GIT_TAG" "v1.0.1"
                    SOURCE_DIR          "/srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-src"
                    BINARY_DIR          "/srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-build"
                    CONFIGURE_COMMAND   ""
                    BUILD_COMMAND       ""
                    INSTALL_COMMAND     ""
                    TEST_COMMAND        ""
                    USES_TERMINAL_DOWNLOAD  YES
                    USES_TERMINAL_UPDATE    YES
)

=== _deps/cpp_bindgen-subbuild/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-subbuild

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-subbuild

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-subbuild/CMakeFiles /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-subbuild//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/cpp_bindgen-subbuild/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named cpp_bindgen-populate

# Build rule for target.
cpp_bindgen-populate: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 cpp_bindgen-populate
.PHONY : cpp_bindgen-populate

# fast build rule for target.
cpp_bindgen-populate/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/cpp_bindgen-populate.dir/build.make CMakeFiles/cpp_bindgen-populate.dir/build
.PHONY : cpp_bindgen-populate/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... cpp_bindgen-populate"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== _deps/googletest-build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /srv/build/gridtools/gridtools-2.0.0

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# The main all target
all: cmake_check_build_system
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/CMakeFiles /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/googletest-build//CMakeFiles/progress.marks
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/googletest-build/all
	$(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/googletest-build/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/googletest-build/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/googletest-build/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== _deps/googletest-subbuild/CMakeLists.txt ===
# Distributed under the OSI-approved BSD 3-Clause License.  See accompanying
# file Copyright.txt or https://cmake.org/licensing for details.

cmake_minimum_required(VERSION 3.18.2)

# We name the project and the target for the ExternalProject_Add() call
# to something that will highlight to the user what we are working on if
# something goes wrong and an error message is produced.

project(googletest-populate NONE)

include(ExternalProject)
ExternalProject_Add(googletest-populate
                     "UPDATE_DISCONNECTED" "False" "GIT_REPOSITORY" "https://github.com/google/googletest.git" "GIT_TAG" "release-1.10.0"
                    SOURCE_DIR          "/srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/googletest-src"
                    BINARY_DIR          "/srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/googletest-build"
                    CONFIGURE_COMMAND   ""
                    BUILD_COMMAND       ""
                    INSTALL_COMMAND     ""
                    TEST_COMMAND        ""
                    USES_TERMINAL_DOWNLOAD  YES
                    USES_TERMINAL_UPDATE    YES
)

=== _deps/googletest-subbuild/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/googletest-subbuild

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/googletest-subbuild

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/googletest-subbuild/CMakeFiles /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/googletest-subbuild//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/googletest-subbuild/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named googletest-populate

# Build rule for target.
googletest-populate: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 googletest-populate
.PHONY : googletest-populate

# fast build rule for target.
googletest-populate/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/googletest-populate.dir/build.make CMakeFiles/googletest-populate.dir/build
.PHONY : googletest-populate/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... googletest-populate"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== _deps/pybind11-build/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Produce verbose output by default.
VERBOSE = 1

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /srv/build/gridtools/gridtools-2.0.0

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# The main all target
all: cmake_check_build_system
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/CMakeFiles /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/pybind11-build//CMakeFiles/progress.marks
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/pybind11-build/all
	$(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/pybind11-build/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/pybind11-build/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 _deps/pybind11-build/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== _deps/pybind11-subbuild/CMakeLists.txt ===
# Distributed under the OSI-approved BSD 3-Clause License.  See accompanying
# file Copyright.txt or https://cmake.org/licensing for details.

cmake_minimum_required(VERSION 3.18.2)

# We name the project and the target for the ExternalProject_Add() call
# to something that will highlight to the user what we are working on if
# something goes wrong and an error message is produced.

project(pybind11-populate NONE)

include(ExternalProject)
ExternalProject_Add(pybind11-populate
                     "UPDATE_DISCONNECTED" "False" "GIT_REPOSITORY" "https://github.com/pybind/pybind11.git" "GIT_TAG" "v2.5.0"
                    SOURCE_DIR          "/srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/pybind11-src"
                    BINARY_DIR          "/srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/pybind11-build"
                    CONFIGURE_COMMAND   ""
                    BUILD_COMMAND       ""
                    INSTALL_COMMAND     ""
                    TEST_COMMAND        ""
                    USES_TERMINAL_DOWNLOAD  YES
                    USES_TERMINAL_UPDATE    YES
)

=== _deps/pybind11-subbuild/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.18

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/pybind11-subbuild

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/pybind11-subbuild

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# The main all target
all: cmake_check_build_system
	$(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/pybind11-subbuild/CMakeFiles /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/pybind11-subbuild//CMakeFiles/progress.marks
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 all
	$(CMAKE_COMMAND) -E cmake_progress_start /srv/build/gridtools/gridtools-2.0.0/obj-x86_64-linux-gnu/_deps/pybind11-subbuild/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

#=============================================================================
# Target rules for targets named pybind11-populate

# Build rule for target.
pybind11-populate: cmake_check_build_system
	$(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 pybind11-populate
.PHONY : pybind11-populate

# fast build rule for target.
pybind11-populate/fast:
	$(MAKE) $(MAKESILENT) -f CMakeFiles/pybind11-populate.dir/build.make CMakeFiles/pybind11-populate.dir/build
.PHONY : pybind11-populate/fast

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... rebuild_cache"
	@echo "... pybind11-populate"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	$(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system

=== debian/changelog ===
gridtools (2.0.0-3) unstable; urgency=medium

  * Fix debian/watch file to handle rc bits
  * Set Standards-Version: 4.5.1; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Jan 2021 15:18:50 +0000

gridtools (2.0.0-2) unstable; urgency=medium

  * FTBFS on i386: use DEB_HOST_GNU_TARGET rather than DEB_HOST_MULTIARCH
    when working with cmake in d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Sep 2020 12:48:37 +0100

gridtools (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Add build-dep on python3-all, python3-numpy
  * Enable test building, as this now triggers libs building
  * Add B-D on dh_fortran_mod
  * Use FETCHCONTENT_FULLY_DISCONNECTED=On instead of patching out git
  * Add d/gbp.conf to support DEP-14
  * Install fortran modules using dh_fortran_mod
  * Set VCS-Git to point to debian/latest branch
  * Use debhelper-compat = 13

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Sep 2020 16:57:15 +0100

=== debian/control ===
Source: gridtools
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13), 
  dh-buildinfo,
  dh-fortran-mod,
  ecbuild,
  gfortran | fortran-compiler,
  python3-all,
  python3-numpy,
  pybind11-dev,
  doxygen,
  mpi-default-dev,
  libeigen3-dev,
  libgmock-dev,
  libgtest-dev,
  libboost-dev (>= 1.58.0)
Standards-Version: 4.5.1
Homepage: https://gridtools.github.io/gridtools/latest/index.html
Vcs-Browser: https://salsa.debian.org:/science-team/gridtools.git
Vcs-Git: https://salsa.debian.org:/science-team/gridtools.git -b debian/latest

Package: libgridtools-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, 
 ecbuild, 
 mpi-default-dev,
 pybind11-dev,
 libboost-dev (>= 1.58.0)
Description: Framework for storage and computation on Weather and Climate Grids
 The GridTools (GT) framework is a set of libraries and utilities to develop
 performance portable applications in which stencil operations on grids are
 central.  It provides regular and block-structured grids commonly found in the
  weather and climate application field, addresses the challenges that arise
 from integration into production code, such as the expression of boundaryi
 conditions, or conditional execution. The framework is structured such that
 it can be called from different weather models or programming interfaces,
 and can target various computer architectures. This is achieved by separating
 the GT core library in a user facing part (frontend) and architecture specific
 (backend) parts. The core library also abstracts various possible data layouts
 and applies optimizations on stages with multiple stencils.
 The core library is complemented by facilities to interoperate with other 
 languages (such as C and Fortran), to aid code development and a communication
 layer.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
TARGET ?= $(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)
INSTDIR:=debian/libgridtools-dev
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
CMAKE_DIR:=$(INSTDIR)/$(LIBDIR)/cmake/gridtools

NO_NATIVE_ARCHS := powerpc ppc64el ppc64 riscv64 sh4 s390x  hppa m68k mipsel
NATIVE :=   $(if $(filter $(DEB_TARGET_ARCH), $(NO_NATIVE_ARCHS)), \
	 -DGT_ENABLE_BACKEND_X86=Off -DGT_ENABLE_BACKEND_NAIVE=Off ) 


BUILD_FLAGS = \
	-DCMAKE_MODULE_PATH=/usr/share/ecbuild/cmake \
	-DGT_ENABLE_BINDINGS_GENERATION=Off \
	-DFETCHCONTENT_FULLY_DISCONNECTED=On \
	-DFETCHCONTENT_QUIET=Off \
	-DGT_INSTALL_EXAMPLES_PATH=/usr/share/doc/libgridtools-dev/examples \
	-DPYBIND11_INSTALL=On \
	$(NATIVE)

# Test suite requires 4 processors. Fake it on OpenMPI
export OMPI_MCA_rmaps_base_oversubscribe=1

%:
	dh $@ --buildsystem=cmake 

override_dh_auto_configure:
	mkdir obj-$(TARGET)
	cp -a _deps obj-$(TARGET)
	dh_auto_configure -- ${BUILD_FLAGS} 

override_dh_auto_build:
	$(MAKE) -k obj-$(TARGET)

override_dh_auto_test:
	@echo "Bypass tests in current builds"

override_dh_auto_install:
	dh_auto_install
	# Shuffle to correct locations
	install -d $(INSTDIR)/$(LIBDIR)/cmake
	cp -a obj-*/_deps/cpp_bindgen-build/*.a $(INSTDIR)/$(LIBDIR)
	rm -rf $(INSTDIR)/usr/share/cmake
	mv $(INSTDIR)/usr/lib/cmake $(INSTDIR)/$(LIBDIR)/cmake/gridtools
	for d in \
                $(CMAKE_DIR)/GridToolsConfig.cmake \
                $(CMAKE_DIR)/GridToolsTargets-none.cmake ; do \
                cat $$d | \
                        sed -e 's%$${_IMPORT_PREFIX}/include%$(INCDIR)%g' | \
                        sed -e 's%$${_IMPORT_PREFIX}/lib%$(LIBDIR)%g' | \
                        sed -e 's%$${_IMPORT_PREFIX}/bin%/usr/bin%g' | \
                        sed -e 's%$${PACKAGE_PREFIX_DIR}/lib/cmake%$(LIBDIR)/cmake/gridtools%g' | \
                > $(CMAKE_DIR)/tmp ; \
                mv $(CMAKE_DIR)/tmp $$d ; \
                done
